#version 3.5;
                
global_settings {
        #declare a_g = 1.3;
        assumed_gamma a_g
        max_trace_level 40
        noise_generator 2
}        

#declare maskTex1 =
texture {
        pigment {rgb 1}
        finish {ambient 1 diffuse 0}
} 

#declare maskTex0 =
texture {
        pigment {rgb 0}
        finish {ambient 1 diffuse 0}
}

sky_sphere {pigment {color rgb 0}}

#declare Forester_RedObjects = false;
#declare Forester_Animation = false;
#declare Forester_Frame = 0;
#declare Forester_Time =  ( 0 )  ;
#declare Forester_Season =  0;

#declare Forester_CamAngle =  84.443778497084;
#declare Forester_CamFocus =  6;
#declare Forester_CamAperture =  0.0708428582266886;
#declare Forester_CamPitch =  1.82451403141022;
#declare Forester_CamHeading =  42.1578598022461;
#declare Forester_CamRoll =  0;
#declare Forester_CamLocation = <8,27,200>;

camera {
  sky       <0,1,0>
  up        <0,1,0>
  right     <1.777778,0,0>
  angle Forester_CamAngle
  rotate -z*Forester_CamRoll
  rotate <-Forester_CamPitch, Forester_CamHeading,0>
  translate Forester_CamLocation
}

object {  
        height_field {
                png "hf"
                water_level 0
                smooth
        }
        scale <-1024,64,1024>
        translate <1024,-1,0>
        texture {maskTex0}
}

object {
        box {<0,-1,0> < 1024,16.667+3.333,1024> hollow}
        texture {maskTex0}
}

#include "grassblade.inc"
#declare veg1 = 
object {
        blade_mesh2
        scale 0.4
        rotate y*120
}


union {
        #include "veg1g.inc" 
        #include "veg1c.inc"
        texture {maskTex1}
}

#declare a = 
texture {   
    pigment {image_map { png "gleaf02w" interpolate 2}}
    finish {ambient 1 diffuse 0}
} 

#declare b = 
texture {   
    pigment {image_map { png "gtrunk01w" interpolate 2 }}
    finish {ambient 1 diffuse 0}
}  

#declare c = 
texture {   
    pigment { image_map { png "gin01w" interpolate 2 }}
    finish {ambient 1 diffuse 0}
}  

#declare d = 
texture {   
    pigment { image_map { png "gleaf03w" interpolate 2 }}
    finish {ambient 1 diffuse 0}
}  

#declare e = 
texture {   
    pigment { image_map { png "gleaf04w" interpolate 2 }}
    finish {ambient 1 diffuse 0}
}  

#declare f = 
texture {b}
 
#declare veg2 =
union {#include "gerbera_mesh.inc" no_image scale 0.017 rotate x*90}

#include "veg2i.inc" 

#declare bark = texture {maskTex1}
#declare leaf = 
texture {   
        pigment {image_map {png "oakL6w" interpolate 2}}
        finish {ambient 1 diffuse 0}
}

#include "oak6_o.inc"

#declare tree1 =
union {
        object{ P_ARB_Oak01_L8 }
        object{ P_ARB_Oak01_L7 }
        object{ P_ARB_Oak01_L6 }
        object{ P_ARB_Oak01_L5 }
        object{ P_ARB_Oak01_L4 }
        object{ P_ARB_Oak01_L3 }
        object{ P_ARB_Oak01_L2 }
        object{ P_ARB_Oak01_L1 }
        object{ P_ARB_Oak01_Leaves}
}

#declare leaf = 
texture {   
        pigment {image_map {png "poplarL5w" interpolate 2}}
        finish {ambient 1 diffuse 0}
}

#declare bark1 = texture {maskTex1}  
#declare bark2 = texture {maskTex1}  
#declare bark3 = texture {maskTex1}  
#declare bark4 = texture {maskTex1}  

#include "poplar41_o.inc"

#declare tree2 =
union {
        object{ P_ARB_Poplar01_L4 }
        object{ P_ARB_Poplar01_L3 }
        object{ P_ARB_Poplar01_L2 }
        object{ P_ARB_Poplar01_L1 }
        object{ P_ARB_Poplar01_Leaves}
}

object {tree1 scale 16 rotate y*251.154 rotate <3.01034,0,1.89081> translate <30.7629,25.2016,268.082>}
object {tree2 scale 20 rotate y*29.3133 rotate <0.754026,0,3.94406> translate <62.6404,25.9837,226.836>} 

#declare a = 
texture {   
    pigment {image_map { png "gleaf02w" interpolate 2}}
    finish {ambient 1 diffuse 0}
} 

#declare b = 
texture {   
    pigment {image_map { png "gtrunk01w" interpolate 2 }}
    finish {ambient 1 diffuse 0}
}  

#declare c = 
texture {   
    pigment { image_map { png "gin01w" interpolate 2 }}
    finish {ambient 1 diffuse 0}
}  

#declare d = 
texture {   
    pigment { image_map { png "gleaf03w" interpolate 2 }}
    finish {ambient 1 diffuse 0}
}  

#declare e = 
texture {   
    pigment { image_map { png "gleaf04w" interpolate 2 }}
    finish {ambient 1 diffuse 0}
}  

#declare f = 
texture {b}
 
#declare veg2 =
union {#include "gerbera_mesh.inc" scale 0.017 rotate x*90}

#include "veg2i.inc"
 
#declare nDeco = 7;
#declare Deco = array[nDeco]
#include "pipedeco.inc"
union{
        object{#include "pipes1.inc" texture {maskTex1}}
        object{#include "pipes2.inc" texture {maskTex1}}
        object{#include "pipes3.inc" texture {maskTex1}}
        scale 0.4
        rotate <0,238,10>
        translate <30.7629,25.2016,268.082>*0.72+<62.6404,25.9837,226.836>*0.28+<-8,4.5,-15>
} 

#declare fou1 = 
texture {
        pigment {color rgb 1}
        finish {ambient 1 diffuse 0}
}
                
#declare fou2 = 
texture {
        pigment {color rgbt 1}
        finish {ambient 0 diffuse 0}
}

#declare foucard2_tex = 
texture {
        image_pattern {png "cloth3_tex"} 
        texture_map {
                [0.5 fou1] 
                [0.5 fou2]
        }
}

#declare foucard = 
mesh {
	#include "foulard_mesh.inc"
	hollow
	uv_mapping
        texture {foucard2_tex}
}

object {
        foucard 
        scale 0.57
        rotate y*245
        rotate z*186
        rotate x*183 
        translate <30.7629,25.2016,268.082>*0.5+<62.6404,25.9837,226.836>*0.5+<-4.5,18,-24.5-0.5>
}